%global pypi_name insights-analytics-collector
%global commitId 3f7281c6fa2bb6346c14a8250dcbf737ddfe6b89

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.2.0
Release:        1%{?dist}
Summary:        A package that packs collected data to one or more tarballs and sends them to user-defined URL for AAP

License:        Apache
URL:            https://github.com/RedHatInsights/insights-analytics-collector
Source0:        python-insights-analytics-collector-3f7281c6fa2bb6346c14a8250dcbf737ddfe6b89.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
Insights Analytics Collector helps with collecting data by user-defined collector methods. It packs collected data to one or more tarballs and sends them to user-defined URL.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:  python%{python3_pkgversion}-django
Requires:  python%{python3_pkgversion}-requests

%description -n python%{python3_pkgversion}-%{pypi_name}
Insights Analytics Collector helps with collecting data by user-defined collector methods. It packs collected data to one or more tarballs and sends them to user-defined URL.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/tests

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/insights_analytics_collector/
%{python3_sitelib}/insights_analytics_collector-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Sep 19 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.0-1
- insights-analytics-collector 0.2.0 release

* Fri Apr 29 2022 Satoe Imaishi <simaishi@redhat.com> - 0.1.1-1
- Initial package.
